Summary:        A simple generic namespace processor
Name:           perl-XML-NamespaceSupport
Version:        1.12
Release:        5%{?dist}
License:        GPL+ or Artistic
Url:            https://metacpan.org/dist/XML-NamespaceSupport
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PERIGRIN/XML-NamespaceSupport-%{version}.tar.gz

BuildRequires:  make perl-interpreter perl-generators
BuildRequires:  perl(:VERSION) >= 5.6 perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict) perl(warnings) perl(constant) perl(vars)
# Tests
BuildRequires:  perl(Test::More)

BuildArch:      noarch

%description
This module offers a simple to process namespaced XML names (unames) 
from within any application that may need them. It also helps maintain
a prefix to namespace URI map, and provides a number of basic checks.


%prep
%autosetup -n XML-NamespaceSupport-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build


%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} -c %{buildroot}


%check
make test


%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/XML/
%{_mandir}/man3/*.3pm.gz


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.12-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jul 25 2022 doriscchao <doriscchao@tencent.com> - 1.12-1
- initial build, Version 1.12, Release 1

